Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.167.167.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
240.167.167.0
Broadcast address
240.167.167.255
First usable
240.167.167.1
Last usable
240.167.167.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0A7A700 · Integer 4037519104 to 4037519359
Reverse DNS zone
167.167.240.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.10100111.10100111..00000000240.167.167.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11110000.10100111.10100111..00000000240.167.167.0
Broadcast11110000.10100111.10100111..11111111240.167.167.255
Split into smaller subnets/30

240.167.167.0/24 makes 64 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.167.167.0/30240.167.167.1 to 240.167.167.2240.167.167.32
2240.167.167.4/30240.167.167.5 to 240.167.167.6240.167.167.72
3240.167.167.8/30240.167.167.9 to 240.167.167.10240.167.167.112
4240.167.167.12/30240.167.167.13 to 240.167.167.14240.167.167.152
5240.167.167.16/30240.167.167.17 to 240.167.167.18240.167.167.192
6240.167.167.20/30240.167.167.21 to 240.167.167.22240.167.167.232
7240.167.167.24/30240.167.167.25 to 240.167.167.26240.167.167.272
8240.167.167.28/30240.167.167.29 to 240.167.167.30240.167.167.312
9240.167.167.32/30240.167.167.33 to 240.167.167.34240.167.167.352
10240.167.167.36/30240.167.167.37 to 240.167.167.38240.167.167.392
11240.167.167.40/30240.167.167.41 to 240.167.167.42240.167.167.432
12240.167.167.44/30240.167.167.45 to 240.167.167.46240.167.167.472
13240.167.167.48/30240.167.167.49 to 240.167.167.50240.167.167.512
14240.167.167.52/30240.167.167.53 to 240.167.167.54240.167.167.552
15240.167.167.56/30240.167.167.57 to 240.167.167.58240.167.167.592
16240.167.167.60/30240.167.167.61 to 240.167.167.62240.167.167.632
17240.167.167.64/30240.167.167.65 to 240.167.167.66240.167.167.672
18240.167.167.68/30240.167.167.69 to 240.167.167.70240.167.167.712
19240.167.167.72/30240.167.167.73 to 240.167.167.74240.167.167.752
20240.167.167.76/30240.167.167.77 to 240.167.167.78240.167.167.792
21240.167.167.80/30240.167.167.81 to 240.167.167.82240.167.167.832
22240.167.167.84/30240.167.167.85 to 240.167.167.86240.167.167.872
23240.167.167.88/30240.167.167.89 to 240.167.167.90240.167.167.912
24240.167.167.92/30240.167.167.93 to 240.167.167.94240.167.167.952
25240.167.167.96/30240.167.167.97 to 240.167.167.98240.167.167.992
26240.167.167.100/30240.167.167.101 to 240.167.167.102240.167.167.1032
27240.167.167.104/30240.167.167.105 to 240.167.167.106240.167.167.1072
28240.167.167.108/30240.167.167.109 to 240.167.167.110240.167.167.1112
29240.167.167.112/30240.167.167.113 to 240.167.167.114240.167.167.1152
30240.167.167.116/30240.167.167.117 to 240.167.167.118240.167.167.1192
31240.167.167.120/30240.167.167.121 to 240.167.167.122240.167.167.1232
32240.167.167.124/30240.167.167.125 to 240.167.167.126240.167.167.1272
33240.167.167.128/30240.167.167.129 to 240.167.167.130240.167.167.1312
34240.167.167.132/30240.167.167.133 to 240.167.167.134240.167.167.1352
35240.167.167.136/30240.167.167.137 to 240.167.167.138240.167.167.1392
36240.167.167.140/30240.167.167.141 to 240.167.167.142240.167.167.1432
37240.167.167.144/30240.167.167.145 to 240.167.167.146240.167.167.1472
38240.167.167.148/30240.167.167.149 to 240.167.167.150240.167.167.1512
39240.167.167.152/30240.167.167.153 to 240.167.167.154240.167.167.1552
40240.167.167.156/30240.167.167.157 to 240.167.167.158240.167.167.1592
41240.167.167.160/30240.167.167.161 to 240.167.167.162240.167.167.1632
42240.167.167.164/30240.167.167.165 to 240.167.167.166240.167.167.1672
43240.167.167.168/30240.167.167.169 to 240.167.167.170240.167.167.1712
44240.167.167.172/30240.167.167.173 to 240.167.167.174240.167.167.1752
45240.167.167.176/30240.167.167.177 to 240.167.167.178240.167.167.1792
46240.167.167.180/30240.167.167.181 to 240.167.167.182240.167.167.1832
47240.167.167.184/30240.167.167.185 to 240.167.167.186240.167.167.1872
48240.167.167.188/30240.167.167.189 to 240.167.167.190240.167.167.1912
49240.167.167.192/30240.167.167.193 to 240.167.167.194240.167.167.1952
50240.167.167.196/30240.167.167.197 to 240.167.167.198240.167.167.1992
51240.167.167.200/30240.167.167.201 to 240.167.167.202240.167.167.2032
52240.167.167.204/30240.167.167.205 to 240.167.167.206240.167.167.2072
53240.167.167.208/30240.167.167.209 to 240.167.167.210240.167.167.2112
54240.167.167.212/30240.167.167.213 to 240.167.167.214240.167.167.2152
55240.167.167.216/30240.167.167.217 to 240.167.167.218240.167.167.2192
56240.167.167.220/30240.167.167.221 to 240.167.167.222240.167.167.2232
57240.167.167.224/30240.167.167.225 to 240.167.167.226240.167.167.2272
58240.167.167.228/30240.167.167.229 to 240.167.167.230240.167.167.2312
59240.167.167.232/30240.167.167.233 to 240.167.167.234240.167.167.2352
60240.167.167.236/30240.167.167.237 to 240.167.167.238240.167.167.2392
61240.167.167.240/30240.167.167.241 to 240.167.167.242240.167.167.2432
62240.167.167.244/30240.167.167.245 to 240.167.167.246240.167.167.2472
63240.167.167.248/30240.167.167.249 to 240.167.167.250240.167.167.2512
64240.167.167.252/30240.167.167.253 to 240.167.167.254240.167.167.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses